%define name berry-splashy
%define version 0.72
%define release b1

Name:		%{name}
Summary:	Boot Splash Theme for Berry Linux
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		User Interface/Desktops
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildRequires: directfb-devel, glib2-devel, sysfsutils-devel
BuildArchitectures: i586


%description
User mode bootsplash suite for Berry Linux


# Setup Section
%prep
%setup -q


# Build Section
%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT

%configure --prefix=/
%{__make} %{?_smp_mflags}


# Install Section
%install
strip src/splashy
strip src/splashy_update
strip src/splashy_config
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%makeinstall
#%find_lang %{name}

rm -rf %{buildroot}/etc/splashy/themes/*
cp -r berry/ %{buildroot}/etc/splashy/themes
ln -s berry /etc/splashy/themes/default


# Clean Section
%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


# Files Section
#%files -f %{name}.lang
%files
%defattr(-, root, root, 0755)
#%doc AUTHORS ChangeLog COPYING CREDITS FAQ INSTALL LICENSE NEWS README THANKS TODO
#%doc %{_mandir}/man?/*
#%{_bindir}/*
/etc/init.d/*
/etc/splashy/*
%{_sbindir}/*
#%{_libdir}/*.so.*
#%{_datadir}/pixmaps/*.png
#%{_datadir}/applications/*.desktop

# %files devel
# %{_includedir}/*.h
# %{_libdir}/*.a
# %{_libdir}/*.so
# %exclude %{_libdir}/*.la


# change log
%changelog
* Fri Jul 7 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
